## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XSLTProcessorException Class Reference

`#include <XSLTProcessorException.hpp>`

Inheritance diagram for XSLTProcessorException:

[legend]
Collaboration diagram for XSLTProcessorException:

[legend]
List of all members.

## Public Methods

- XSLTProcessorException (MemoryManagerType &theManager, const XalanDOMString &theMessage, const XalanDOMString &theURI, int theLineNumber, int theColumnNumber)
    Construct an XSLT Processor exception object. More...
- XSLTProcessorException (MemoryManagerType &theManager, const LocatorType &theLocator, const XalanDOMString &theMessage)
    Constructor. More...
- XSLTProcessorException (MemoryManagerType &theManager, const XalanDOMString &theMessage)
    Construct an XSLT Processor exception object. More...
- virtual ~XSLTProcessorException ()
- virtual const XalanDOMChar* getType () const
    Retrieve type of exception. More...

## Constructor & Destructor Documentation

XSLTProcessorException::XSLTProcessorException ( | MemoryManagerType & theManager,
| const XalanDOMString & theMessage,
| const XalanDOMString & theURI,
| int theLineNumber,
| int theColumnNumber )

  | Construct an XSLT Processor exception object. Parameters:
  theMessage | message to print when exception thrown
  theURI | the URI of the related document, if known
  theLineNumber | the line number of the related document.
  theColumnNumber | the column number of the related document.

XSLTProcessorException::XSLTProcessorException ( | MemoryManagerType & theManager,
| const LocatorType & theLocator,
| const XalanDOMString & theMessage )

  | Constructor. Parameters:
  theLocator | The locator instance for error reporting.
  theMessage | message to write when exception thrown

XSLTProcessorException::XSLTProcessorException ( | MemoryManagerType & theManager,
| const XalanDOMString & theMessage )

  | Construct an XSLT Processor exception object. Parameters:
  theMessage | message to print when exception thrown

XSLTProcessorException::~XSLTProcessorException ( | )`[virtual]`

## Member Function Documentation

const XalanDOMChar * XSLTProcessorException::getType ( | ) const`[virtual]`

| Retrieve type of exception. Returns: type of exception Reimplemented from XSLException. Reimplemented in ElemMessage::ElemMessageTerminateException, and VariablesStack::InvalidStackContextException.

The documentation for this class was generated from the following file:

- XSLTProcessorException.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.